SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Support

Assign to me

POST/api/v1/support/messages/:id/assign-me

Claims a contact message for the signed-in staff member to handle. Staff-only.

Requires Authorization
ADMIN, SUPPORT only
Authenticated action

Path parameters

idstringrequired
Contact message ID.
Request
curl --request POST \
  --url https://api.swiftgoma.com/api/v1/support/messages/:id/assign-me \
  --header 'Authorization: Bearer <access_token>'
200Example response
{
  "success": true,
  "data": {
    "id": "cmsg_1a2b3c",
    "name": "Aline Mapendo",
    "email": "aline@example.com",
    "subject": "ORDER_ISSUE",
    "message": "Ma commande n'est jamais arrivée.",
    "status": "ASSIGNED",
    "assignedTo": "9f8e7d6c",
    "createdAt": "2026-02-15T09:00:00.000Z"
  }
}